function un1=GSPasso(un,f,dx)
%
% un e f matrici quadrate, dx scalare 
% Applicazione di un passo dell'iterazione di Gauss-Seidel
% per la risoluzione del sistema lineare derivante 
% dall'applicazione delle differenze centrali
% all'equazione di Poisson in un quadrato
%               u_xx+u_yy=f
%
N=length(un);
un1=un;
dx4=dx^2/4;
for j=2:N-1
   for i=2:N-1
      un1(i,j)=(un1(i-1,j)+un(i+1,j)+un1(i,j-1)+un(i,j+1))/4-dx4*f(i,j);
   end
end
